E2kSid
3
EVOLUTION-EXCHANGE Library

# E2kSid

Windows Security Identifiers

## Synopsis

## Description

Every user in a Windows domain has a list of Security Identifiers, or SIDs, associated with them. This includes:

- their own personal SID

- the SID representing “all users in the local domain”

- the SID representing “Default”

- the SIDs for any Windows security groups that they are members of

The user’s personal SID is stored in the `objectSid` property of their Active Directory entry. Unfortunately, we have no way of retrieving the complete list of SIDs associated with a user.

## Details

## See Also

`e2k_global_catalog_lookup()`, E2kSecurityDescriptor